#pragma once
#include "Symbol.h"

namespace et{


	class WorldMapCursor : public Symbol
	{
	public:
		WorldMapCursor(mof::Component3D* pBody);
		virtual ~WorldMapCursor(void);
		void move(Direction direction , mof::Vector3D& position , int length);
		bool isTraveling();
		//void setAnimation(mof::AnimationResource& pAnime);
	};


};